Bug 1661860 - Obsolete smc-kalyani-fonts package
Summary: Obsolete smc-kalyani-fonts package
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-obsolete-packages
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-24 04:56 UTC by vishalvvr
Modified: 2019-06-02 04:52 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-02 04:52:27 UTC


Attachments (Terms of Use)

Description vishalvvr 2018-12-24 04:56:42 UTC
As per [1] discussion started around splitting smc-fonts package. 
smc-kalyani-fonts was part of it and upstream has agreed to remove smc-kalyani-fonts[2] from Fedora. 

Would request to remove this package from Fedora.

Also if possible can this package be removed from Fedora-29 as well.


[1] https://bugzilla.redhat.com/show_bug.cgi?id=1648825
[2] https://gitlab.com/smc/fonts/kalyani/issues/1

Comment 1 Jens Petersen 2018-12-25 09:50:36 UTC
Does any font replace this?  Or is it just deprecated.

(In reply to vishalvvr from comment #0)
> As per [1] discussion started around splitting smc-fonts package. 
> smc-kalyani-fonts was part of it 

> Would request to remove this package from Fedora.

It can be dropped from Rawhide if it is no longer useful.

> Also if possible can this package be removed from Fedora-29 as well.

I don't think and why should we - well you could also make
smc-fonts-common obsolete it if you really want people to stop using the font.

Comment 2 Jens Petersen 2018-12-25 09:58:23 UTC
(In reply to Jens Petersen from comment #1)
> Does any [other] font replace this?  Or is it just deprecated.
> 
> (In reply to vishalvvr from comment #0)
> > As per [1] discussion started around splitting smc-fonts package. 
> > smc-kalyani-fonts was part of it 
> 
> > Would request to remove this package from Fedora.
> 
> It can be dropped from Rawhide if it is no longer useful.

(Rather the smc-fonts package should be retired from Rawhide (and F30) once the new packages are in place.)

> > Also if possible can this package be removed from Fedora-29 as well.
> 
> I don't think [so] and why should we - well you could also make
> smc-fonts-common obsolete it if you really want people to stop using the
> font.

Rather again when the new packages are in F29 updates, smc-kalyani-fonts should be obsoleted yes.
Though as I see it there is no real problem with this old font continuing to exist in older Fedora per se.

Comment 3 Jason Tibbitts 2019-01-02 17:39:13 UTC
What is broken by having the old package installed?

We don't just force-remove packages from systems unless their existence is going to break something.

Comment 4 Parag Nemade 2019-01-03 06:50:31 UTC
> What is broken by having the old package installed?

[user@f29 ~]$ rpm -qa|grep ^smc\*
smc-rachana-fonts-6.1-10.fc29.noarch
smc-anjalioldlipi-fonts-6.1-10.fc29.noarch
smc-meera-fonts-6.1-10.fc29.noarch
smc-suruma-fonts-6.1-10.fc29.noarch
smc-fonts-common-6.1-10.fc29.noarch
smc-kalyani-fonts-6.1-10.fc29.noarch
smc-raghumalayalam-fonts-6.1-10.fc29.noarch
smc-dyuthi-fonts-6.1-10.fc29.noarch

[user@f29 ~]$ sudo dnf copr enable vishalvvr/smc-fonts
You are about to enable a Copr repository. Please note that this
repository is not part of the main distribution, and quality may vary.

The Fedora Project does not exercise any power over the contents of
this repository beyond the rules outlined in the Copr FAQ at
<https://docs.pagure.org/copr.copr/user_documentation.html#what-i-can-build-in-copr>,
and packages are not held to any quality or security level.

Please do not file bug reports about these packages in Fedora
Bugzilla. In case of problems, contact the owner of this repository.

Do you really want to enable copr.fedorainfracloud.org/vishalvvr/smc-fonts? [y/N]: y
Repository successfully enabled.

[user@f29 ~]$ sudo dnf update -y
Copr repo for smc-fonts owned by vishalvvr     1.3 kB/s | 5.5 kB     00:04    
Dependencies resolved.

 Problem 1: package smc-kalyani-fonts-6.1-10.fc29.noarch requires smc-fonts-common = 6.1-10.fc29, but none of the providers can be installed
  - package smc-anjalioldlipi-fonts-7.1.1-1.fc29.noarch obsoletes smc-fonts-common < 6.1-11 provided by smc-fonts-common-6.1-10.fc29.noarch
  - cannot install the best update candidate for package smc-kalyani-fonts-6.1-10.fc29.noarch
  - cannot install the best update candidate for package smc-anjalioldlipi-fonts-6.1-10.fc29.noarch
 Problem 2: problem with installed package smc-kalyani-fonts-6.1-10.fc29.noarch
  - package smc-kalyani-fonts-6.1-10.fc29.noarch requires smc-fonts-common = 6.1-10.fc29, but none of the providers can be installed
  - package smc-dyuthi-fonts-1:3.0.1-1.fc29.noarch obsoletes smc-fonts-common < 6.1-11 provided by smc-fonts-common-6.1-10.fc29.noarch
  - cannot install the best update candidate for package smc-dyuthi-fonts-6.1-10.fc29.noarch
Nothing to do.
Complete!

In current smc-fonts packaging, there is one spec file which generates 8 binary (different font family) subpackages. Upstream notified that development has stopped for Kalyani font. In the new packaging we have one srpm per font family thus no need of smc-fonts-common subpackage to exist. If Packaging Guidelines do not allow to Obsolete such package then we need to re-package smc-kalyani-fonts in its own srpm with older smc-fonts Source and let this package obsolete smc-fonts-common. There there will be no broken dependency issue with new smc fonts packaging.


> 
> We don't just force-remove packages from systems unless their existence is
> going to break something.

Okay then the only working solution is to package smc-kalyani-fonts in its own srpm and build all these new smc-*-fonts packages in rawhide. Then smc-kalyani-fonts package can be orphaned.

Comment 5 Jens Petersen 2019-01-03 09:53:58 UTC
Here is my suggestion: for F30 we retire smc-fonts completely and add appropriate Obsoletes as needed.
For current releases (28 and 29), there is no need to Obsolete smc-fonts-common.

So something like this should be sufficient I reckon:

%if 0%{?fedora} >= 30
Obsoletes:   smc-fonts-common < (lastnvrbumped)
%endif

Does that not work?

Comment 6 Parag Nemade 2019-01-03 13:29:20 UTC
If we don't want to change F29 then its fine but suppose someone has installed all the smc\*fonts rpms and trying to upgrade to F30 he should not face any issues. I think if we retire smc-fonts package from F30 and add the individual packages except smc-kalyani-fonts then that will still be a problem.

Comment 7 Jens Petersen 2019-01-09 07:44:51 UTC
(In reply to Jens Petersen from comment #5)
> for F30 we retire smc-fonts completely and add appropriate Obsoletes as needed.

Yes we need to add an obsoletes for smc-kalyani-fonts to fedora-obsolete-packages.

Comment 8 Parag Nemade 2019-06-02 04:52:27 UTC
I think we did not need to add anything to fedora-obsolete-packages, hence closing this bug.


Note You need to log in before you can comment on or make changes to this bug.